| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
ScXML Class Reference
State Chart XML Classes

Namespace for static ScXML-related functions. More...

`#include <Inventor/scxml/ScXML.h>`

## Static Public Member Functions

static void | initClasses (void)
static ScXMLStateMachine * | readFile (const char *filename)
static ScXMLStateMachine * | readBuffer (const char *bufferdata)

## Detailed Description

Namespace for static ScXML-related functions.

This is a static namespace class for ScXML-related functions.

Since
  Coin 3.0

## Member Function Documentation

void ScXML::initClasses | ( | void | ) |  |

static

Initializes the basic ScXML classes.

ScXMLStateMachine * ScXML::readFile | ( | const char * | filename) |  |

static

This function reads in an SCXML document from a file.

Returns
  an ScXMLDocument-derived statemachine object hierarchy.

ScXMLStateMachine * ScXML::readBuffer | ( | const char * | bufferdata) |  |

static

This function reads in an SCXML document residing in memory.

Returns
  an ScXMLDocument-derived statemachine object hierarchy.

The documentation for this class was generated from the following files:

- ScXML.h
- ScXML.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.